<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" omit-xml-declaration="no" encoding="utf-8"/>
 
  <xsl:strip-space elements="*" />

  <!--  Erzeugen CSV-Kopfzeile  -->
  <xsl:template match="/child::*">
    <xsl:for-each select="*[1]/child::*">
      <xsl:if test="position() != last()">"<xsl:value-of select="translate(name(), 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>",</xsl:if>
      <xsl:if test="position()  = last()">"<xsl:value-of select="translate(name(), 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>"<xsl:text>&#xA;</xsl:text></xsl:if>
    </xsl:for-each>
    <xsl:text>&#xA;</xsl:text>
    <xsl:apply-templates/> 
  </xsl:template>

  <!--  Erzeugen CSV-Inhalt  -->
  <xsl:template match="/*/child::*">
    <xsl:for-each select="child::*">
      <xsl:if test="position() != last()">"<xsl:value-of select="normalize-space(.)"/>",</xsl:if>
      <xsl:if test="position()  = last()">"<xsl:value-of select="normalize-space(.)"/>"<xsl:text>&#xA;</xsl:text></xsl:if>
    </xsl:for-each>
  </xsl:template>
  
</xsl:stylesheet>
